Package Details: xscreensaver-arch-logo 5.43-1

Git Clone URL: https://aur.archlinux.org/xscreensaver-arch-logo.git (read-only)
Package Base: xscreensaver-arch-logo
Description: Screen saver and locker for the X Window System with Arch Linux branding
Upstream URL: https://www.jwz.org/xscreensaver/
Licenses: BSD
Conflicts: xscreensaver
Provides: xscreensaver
Submitter: Harvie
Maintainer: graysky
Last Packager: graysky
Votes: 215
Popularity: 0.095904
First Submitted: 2009-05-19 16:57
Last Updated: 2019-07-11 16:31

Dependencies (9)

Required by (21)

Sources (6)

Pinned Comments

graysky commented on 2016-08-25 21:17

I believe without gdm as a makedep, the login screen switching option is not compiled in. I see that extra/xscreensaver also keeps this as a makedep. Feel free to remove prior to building.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 ... Next › Last »

Furian-RX commented on 2014-03-19 14:25

A totally offtopic comment here...by an absolute beginner.

I looked far and wide to understand the gdm dependency. Considering I spent 2 hours I thought I can go wrong. Removed it from the PKGBUILD, made pkg, installed - nothing.

Thought - OK - I will give it a try. Brought gdm dependency back. Made pkg, installed - EPIC FAIL!

Screensaver unresponsive. No arch logo fancy look. Terminal went to that ugly font look I so hated and nothing I do brings it back. Terminal lost a few commands (no ctl shift copy).

2 hours later and many -Rs, -Qs, gdm g t f o's - no joy.

From an absolute beginner to absolute beginners - stay with the xscreensaver from official depositories if you cant walk over water. Especially if you like me like your xfce clean.

parched commented on 2013-12-11 23:24

To add to my last comment, alternatively you could patch the configure.in to add /usr/lib/lightdm/lightdm/gdmflexiserver as one of the options it tries.

Instead of the symlink, lightdm users could also do "--with-login-manager=/usr/lib/lightdm/lightdm/gdmflexiserver"

parched commented on 2013-12-11 23:20

parched commented on 2013-12-11 23:20

Yeah I meant (make)dep. Upon further investigation, the --with-login-manager flag isn't needed because by default it searches for a login manager, either gdmflexiserver (gdm or lightdm with symlink) or kdmctl (kdmbase-workspace). That is why "new login" works for FlyingFrenchman. So I think 'gdm' should be removed from the makedep and optdeps should be:
optdepends=('gdm: for login manager support, required before compilation'
'lightdm: with symlink "ln -s /usr/lib/lightdm/lightdm/gdmflexiserver /usr/local/bin/gdmflexiserver" for login manager support, required before compilation'
'kdmbase-workspace: for login manager support, required before compilation')

Or something along those lines.

PS. Upstream says the latest version is 5.26.

graysky commented on 2013-12-11 09:58

The pkg does not have a gdm dependency, only a makedep of gdm which is removed after the pkg is built. Plus, not all users will have lightdm on their systems/certainly not in their clean chroots so I cannot implement due to a lack of generality. Thanks for the suggestion though :)

parched commented on 2013-12-11 08:53

If using lightdm you can remove the gdm dependency with
ln -s /usr/lib/lightdm/lightdm/gdmflexiserver /usr/local/bin/gdmflexiserver

graysky commented on 2013-12-10 19:36

@martadinata666 - Why out of date?

graysky commented on 2013-11-27 11:12

@Dizzy- Change mirrors.
@Hepta- Well, gdm is only a makedep, not a dep. View all the comments on the page for a discussion. If you don't want to "pollute" your system with these deps when building, why not build in a clean chroot? See clean-chroot-manager in the AUR.

HeptaSean commented on 2013-11-27 10:54

Last update lead to a dependency on gdm. Is that /really/ necessary? It pulls in 64 additional dependencies on my machine (basically all of gnome).

Anonymous comment on 2013-07-28 04:53

Anyone else getting that it is unable to download ibus-1.5.3-1-i686.pkg.tar.xz ?

:(